## ktp-filetransfer-handler 0.6.1

=== CMakeLists.txt ===
project (ktp-filetransfer-handler)

set(KTP_FILETRANSFER_HANDLER_VERSION "0.6.1")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)
set(KDE_MIN_VERSION "4.6.0")

find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(TelepathyQt4 0.9.1 REQUIRED)
find_package(KTp REQUIRED)

include(CheckIncludeFiles)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions(${KDE4_DEFINITIONS}
                -DQT_NO_CAST_FROM_ASCII
                -DQT_NO_KEYWORDS
)

include_directories(${KDE4_INCLUDES}
                    ${TELEPATHY_QT4_INCLUDE_DIR}
                    ${KTP_INCLUDE_DIR}
)

add_subdirectory(src)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

## ktp-filetransfer-handler 0.3.1

=== debian/changelog ===
ktp-filetransfer-handler (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:06 +0100

ktp-filetransfer-handler (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu package, based on Debian unreleased package

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 Feb 2012 15:49:24 +0100

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.3),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-filetransfer-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-filetransfer-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy file transfer handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy
 file transfer handler.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-filetransfer-handler-dbg

## ktp-filetransfer-handler 0.4.0

=== debian/changelog ===
ktp-filetransfer-handler (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:21:21 +0300

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+).tar.bz2

## ktp-filetransfer-handler 0.5.1

=== debian/changelog ===
ktp-filetransfer-handler (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:38:07 +0530

ktp-filetransfer-handler (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:44:37 +0530

ktp-filetransfer-handler (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Wed, 01 Aug 2012 00:21:37 +0200

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.5.1)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-filetransfer-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-filetransfer-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy file transfer handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy
 file transfer handler.

## ktp-filetransfer-handler 0.5.2

=== debian/changelog ===
ktp-filetransfer-handler (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:23:42 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1)
+ libktpcommoninternalsprivate-dev (>= 0.5.2)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

## ktp-filetransfer-handler 0.6.1

=== debian/changelog ===
ktp-filetransfer-handler (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:32:30 +0100

ktp-filetransfer-handler (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:15:28 +0100

ktp-filetransfer-handler (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:27:54 +0000

ktp-filetransfer-handler (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:27:10 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.2)
+ libktpcommoninternalsprivate-dev (>= 0.6.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

## ktp-filetransfer-handler 0.6.3

=== debian/changelog ===
ktp-filetransfer-handler (0.6.3-0ubuntu0.1) raring-proposed; urgency=low

  * No-change backport to raring (LP: #1208837)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 Aug 2013 09:27:02 +0530

ktp-filetransfer-handler (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 22:01:14 +0800

ktp-filetransfer-handler (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.0)
+ libktpcommoninternalsprivate-dev (>= 0.6.3)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

## ktp-filetransfer-handler 0.7.0

=== debian/changelog ===
ktp-filetransfer-handler (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Bump ktp-common-internals and kde-telepathy-data to 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:13:31 -0800

ktp-filetransfer-handler (0.6.3-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Bump ktp-common-internals and kde-telepathy-data dependencies to 0.6.2
  * Bump libtelepathy-qt4-dev dependency to 0.9.3
  * Set Uploaders to Diane Trout and Michał Zając
  * Update Standards-Version to 3.9.4. No changes needed.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:48:38 +1000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-filetransfer-handler
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.1),
+ libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3)
-Standards-Version: 3.9.3
+ libktpcommoninternalsprivate-dev (>= 0.7.0)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
 
 Package: kde-telepathy-filetransfer-handler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
 Recommends: kde-telepathy
 Description: KDE Telepathy file transfer handler
  This package provides a helper application that handles telepathy

## ktp-filetransfer-handler 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (ktp-filetransfer-handler)
 
-set(KTP_FILETRANSFER_HANDLER_VERSION "0.6.1")
+set(KTP_FILETRANSFER_HANDLER_VERSION "0.8.0")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 cmake_policy(SET CMP0002 OLD)

=== po/ko/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ko ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-filetransfer-handler (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 15:20:05 +0200

ktp-filetransfer-handler (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:14:43 +0100

ktp-filetransfer-handler (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:46:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-filetransfer-handler
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.7.0)
+ libktpcommoninternalsprivate-dev (>= 0.8.0)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-filetransfer-handler-dbg --list-missing

## ktp-filetransfer-handler 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (ktp-filetransfer-handler)
 
-set(KTP_FILETRANSFER_HANDLER_VERSION "0.8.0")
+set(KTP_FILETRANSFER_HANDLER_VERSION "0.8.1")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 cmake_policy(SET CMP0002 OLD)

=== debian/changelog ===
ktp-filetransfer-handler (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:33:15 +0200

ktp-filetransfer-handler (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.0)
+ libktpcommoninternalsprivate-dev (>= 0.8.1)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+).tar.bz2

## ktp-filetransfer-handler 0.9.0

=== debian/changelog ===
ktp-filetransfer-handler (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:02 +0100

ktp-filetransfer-handler (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data dependency to source:Upstream-Version

 -- Diane Trout <diane@ghic.org>  Sun, 21 Sep 2014 11:05:44 -0700

ktp-filetransfer-handler (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update ktp-common-internals and kde-telepathy-data dependencies to 0.8.1
  * Update debian/copyright.

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:04:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-filetransfer-handler
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.1)
-Standards-Version: 3.9.4
+ libktpcommoninternalsprivate-dev (>= 0.8.80)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
 
 Package: kde-telepathy-filetransfer-handler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
 Recommends: kde-telepathy
 Description: KDE Telepathy file transfer handler
  This package provides a helper application that handles telepathy

## ktp-filetransfer-handler 15.08.2

=== debian/changelog ===
ktp-filetransfer-handler (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:51:37 +0100

ktp-filetransfer-handler (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:32:25 +0100

ktp-filetransfer-handler (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:42:32 +0100

ktp-filetransfer-handler (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:19:06 +0100

ktp-filetransfer-handler (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:30:16 +0200

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               kio-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-filetransfer-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-filetransfer-handler.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-filetransfer-handler.git

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-filetransfer-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-filetransfer-handler (= ${binary:Version}),
         ${misc:Depends}
Description: KDE Telepathy file transfer handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy
 file transfer handler.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-filetransfer-handler-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+).tar.xz

## ktp-filetransfer-handler 15.08.3

=== debian/changelog ===
ktp-filetransfer-handler (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Sat, 05 Dec 2015 17:43:17 -0800

ktp-filetransfer-handler (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTp's move to Applications.
  * New upstream release.
  * Update build depends for move to kf5 and the
    rename of libktpcommoninternalsprivate-dev to libktp-dev
  * Update copyright file.
    - Remove po/* block
    - Add LGPL-2 license that was used.
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
  * Update path for ktp-filetransfer-handler
  * Add KDE's unstable download url to watch file
  * Fix typo in --dbg-package name for dh_strip
  * Fix typo in copyright file short license name.

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:57:35 -0800

ktp-filetransfer-handler (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.9.0
  * Fix filename typo in copyright file.
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update copyright file.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 20:03:26 -0700

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt5-dev (>= 0.9.3),
 libtelepathy-logger-qt-dev,
 cmake (>= 2.8),
 extra-cmake-modules (>= 1.3.0),
 kio-dev,
 libktp-dev (>= 0.9.0),
 libkf5config-dev,
 libkf5coreaddons-dev,
 libkf5i18n-dev,
 libkf5wallet-dev,
 qtbase5-dev,
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-filetransfer-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-filetransfer-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy file transfer handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy
 file transfer handler.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-telepathy-filetransfer-handler-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+).tar.(?:bz2|xz)

## ktp-filetransfer-handler 15.12.3

=== CMakeLists.txt ===
project (ktp-filetransfer-handler)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KTP_FILETRANSFER_HANDLER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH})

find_package (KF5 REQUIRED COMPONENTS CoreAddons I18n KIO Config)
find_package (Qt5 REQUIRED COMPONENTS Core DBus Widgets)
find_package (KTp REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)
include(FeatureSummary)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktp-filetransfer-handler (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Bump ktp* dependency versions. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:11:12 -0700

ktp-filetransfer-handler (4:15.12.1-2ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:21:31 +0100

ktp-filetransfer-handler (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 21:46:00 +0100

ktp-filetransfer-handler (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:12 +0100

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5wallet-dev,
               libktp-dev (>= 4:15.12.2),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-filetransfer-handler-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-filetransfer-handler-([\d.]+)\.tar\.(?:bz2|xz)

## ktp-filetransfer-handler 16.04.3

=== debian/changelog ===
ktp-filetransfer-handler (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:37 +0200

ktp-filetransfer-handler (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release
  * 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:34:41 -0700

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kio-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5wallet-dev,
-               libktp-dev (>= 4:15.12.2),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libktp-dev (>= 4:16.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-filetransfer-handler.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
 
 Package: kde-telepathy-filetransfer-handler
 Architecture: any

## ktp-filetransfer-handler 16.12.3

=== debian/changelog ===
ktp-filetransfer-handler (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:42 +0000

ktp-filetransfer-handler (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:34 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libktp-dev (>= 4:16.04.3~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libktp-dev (>= 4:16.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
 
 Package: kde-telepathy-filetransfer-handler

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-filetransfer-handler-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-filetransfer-handler 17.04.3

=== debian/changelog ===
ktp-filetransfer-handler (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
@@ -27,6 +27,8 @@
 Architecture: any
 Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE Telepathy file transfer handler
  This package provides a helper application that handles telepathy
  file transfer operations inside a KDE Workspace.

## ktp-filetransfer-handler 17.08.3

=== debian/changelog ===
ktp-filetransfer-handler (17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:45:35 +0800

ktp-filetransfer-handler (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Remove unused libkf5wallet-dev build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:56:20 +0100

ktp-filetransfer-handler (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Drop soon to be deprecated fail-missing
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:13 +0200

ktp-filetransfer-handler (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:39:48 +0200

ktp-filetransfer-handler (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * upstream branch
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:09:03 +0200

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libktp-dev (>= 17.08.3~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-filetransfer-handler.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-filetransfer-handler.git

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-filetransfer-handler-dbg (<= 15.12.1-1~~)'

## ktp-filetransfer-handler 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "15")
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
 set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_FILETRANSFER_HANDLER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
@@ -21,6 +21,9 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
 add_subdirectory(src)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== debian/changelog ===
ktp-filetransfer-handler (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:37 +0000

ktp-filetransfer-handler (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:23 +0000

ktp-filetransfer-handler (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:03 +0000

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-filetransfer-handler-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-filetransfer-handler 18.04.3

=== debian/changelog ===
ktp-filetransfer-handler (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.12.3~),
+               libktp-dev (>= 4:18.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler

## ktp-filetransfer-handler 18.12.3

=== debian/changelog ===
ktp-filetransfer-handler (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:19 +0000

ktp-filetransfer-handler (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:22 +0000

ktp-filetransfer-handler (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:11 +0000

ktp-filetransfer-handler (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:25 +0000

ktp-filetransfer-handler (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 11:53:57 +0000

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libktp-dev (>= 4:18.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-filetransfer-handler 19.04.3

=== debian/changelog ===
ktp-filetransfer-handler (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:59 +0100

ktp-filetransfer-handler (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:12:55 +0100

ktp-filetransfer-handler (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:34 +0100

ktp-filetransfer-handler (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libktp-dev (>= 4:18.12.3~),
+               libktp-dev (>= 4:19.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),

## ktp-filetransfer-handler 19.12.3

=== debian/changelog ===
ktp-filetransfer-handler (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:15:22 +0000

ktp-filetransfer-handler (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:46 +0000

ktp-filetransfer-handler (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:59:02 +0000

ktp-filetransfer-handler (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:43 +0000

ktp-filetransfer-handler (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:37:23 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libktp-dev (>= 4:19.04.3~),
+               libktp-dev (>= 4:19.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
